Changeset 110841 in spip-zone


Ignore:
Timestamp:
Jun 24, 2018, 2:52:42 PM (3 years ago)
Author:
eric@…
Message:

Utilisation de la nouvelle API noisette_parametrer() et mise à jour du necessite ncore en conséquence.

Location:
_plugins_/noizetier/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/noizetier/trunk/formulaires/editer_noisette.php

    r110066 r110841  
    121121
    122122                // Mise à jour de la noisette en base de données
     123                include_spip('inc/ncore_noisette');
    123124                $valeurs = array('parametres' => serialize($parametres), 'balise' => $balise, 'css' => $css);
    124                 $where = array('id_noisette=' . intval($id_noisette));
    125                 if (sql_updateq('spip_noisettes', $valeurs, $where)) {
     125                if (noisette_parametrer('noizetier', intval($id_noisette), $valeurs)) {
    126126                        // On invalide le cache
    127127                        include_spip('inc/invalideur');
  • _plugins_/noizetier/trunk/formulaires/etendre_noisette.php

    r110817 r110841  
    110110                        if ($valeurs) {
    111111                                // Mise à jour de la noisette créée avec les champs demandés.
    112                                 $where = array('id_noisette=' . intval($id_noisette));
    113                                 sql_updateq('spip_noisettes', $valeurs, $where);
     112                                noisette_parametrer('noizetier', intval($id_noisette), $valeurs);
    114113                        }
    115114                }
  • _plugins_/noizetier/trunk/paquet.xml

    r110837 r110841  
    4040        <pipeline nom="insert_head" action="insert_head_css" inclure="noizetier_pipelines.php" />
    4141
    42         <necessite nom="ncore" compatibilite="[0.4.2;[" />
     42        <necessite nom="ncore" compatibilite="[0.4.3;[" />
    4343        <necessite nom="saisies" compatibilite="[2.2.3;[" />
    4444        <necessite nom="verifier" compatibilite="[1.0.5;[" />
Note: See TracChangeset for help on using the changeset viewer.